! -*- coding: utf-8 -*-
!
!>
!!  @file
!!  @brief Filtrage d'une série de points (constantes/commons)
!!  @ingroup  al_filtrage
!!
!!

C $Id: al_filtrage_typ.inc 5525 2011-11-17 11:27:39Z ppoilbarbe $
C
C 1995/06/16: J.Dorandeu, Creation
C 2004/05/07: G.Garcia, SU.DM0192. Documentation automatique
C 2007/05/18: Ph. Poilbarbe, SU.DM0593: Remplacement des commentaires 'C'
C       par des commentaires '!' pour ne pas avoir de problème avec le
C       fortran 90 (qui est toujours en 'free-form'
C 2011/08/08: Ph. Poilbarbe, OCTANT-161. Fichiers .h renommés en .inc pour
C       éviter la confusion de certains outils avec les fichiers C.
C 2011/08/08: Ph. Poilbarbe, OCTANT-141. Conversion en Doxygen
C 2011/11/17: Ph. Poilbarbe, OCTANT-172. Migration de la doc en Doxygen
C

!-----------------------------------------------------------------------------!
!                              C O N S T A N T E S                            !
!-----------------------------------------------------------------------------!

!     Valeurs indiquant l'etat d'un point apres application du sous-programme
!     de comblage de trous
!     -----------------------------------------------------------------------

!> @brief Valeur OK, aucun comblage
      INTEGER*4 jc_al_filtrage_val_ok
      PARAMETER      (jc_al_filtrage_val_ok = 0)


!> @brief Valeur comblée par interpolation linéaire
      INTEGER*4 jc_al_filtrage_val_comb
      PARAMETER      (jc_al_filtrage_val_comb = 1)


!> @brief Valeur manquante au bord du profil, aucun comblage
      INTEGER*4 jc_al_filtrage_val_bord
      PARAMETER      (jc_al_filtrage_val_bord = 2)


!> @brief Pas de comblage car trou trop grand
      INTEGER*4 jc_al_filtrage_val_nok
      PARAMETER      (jc_al_filtrage_val_nok = 3)

